#import "Vars.h"
#import "SDK.h"

@implementation Vars

#pragma mark - <MainSiteConfig>

+ (NSString *)domain {
	return [self is_cn_website] ? @"https://www.taketours.cn" : @"https://www.taketours.com";
}

+ (NSString *)site_name {
	return IMLocalizedString(@"TakeTours");
}

+ (NSString *)site_title {
	return [self is_cn_website] ? @"TakeTours.cn" : @"TakeTours.com";
}

+ (NSString *)support_email {
	return [self is_cn_website] ? @"support@taketours.cn" : @"support@taketours.com";
}

+ (NSString *)phone {
	return @"+1-617-500-7002";
}

+ (NSString *)tollFreePhone {
	return [self is_cn_website] ? @"400-870-6300" : @"+1-888-428-7255";
}

+ (NSString *)liveZillaUrl {
	return [self is_cn_website] ? @"http://live.taketours.cn/chat.php?v=2&group=TakeTourscnOnlineSupport&eh=aHR0cHM6Ly93d3cudGFrZXRvdXJzLmNuL2ltYWdlcy9sb2dvLmpwZw==" : @"http://live.taketours.com/chat.php?v=2&group=TakeToursOnlineSupport&eh=aHR0cDovL3d3dy50YWtldG91cnMuY29tL2ltYWdlcy9sb2dvLnBuZw__";
}

+ (NSString *)appId {
	return @"930785774";
}

#pragma mark - <AWSConfig>

+ (NSString *)AWSSNSSandboxPlatformApplicationArn {
	return @"arn:aws:sns:us-west-2:993645619544:app/APNS_SANDBOX/TakeTours";
}

+ (NSString *)AWSSNSLivePlatformApplicationArn {
	return @"arn:aws:sns:us-west-2:993645619544:app/APNS/TakeTours";
}

#pragma mark - <WeChatConfig>

+ (NSString *)wechatAppId {
	return @"wx7e5c0ba4ed8a4d8e";
}

#pragma mark - <ThirdPartyPaymentConfig>

+ (NSString *)alipayUrlScheme {
	return @"cn.taketours.alipay";
}

+ (NSString *)unionpayUrlScheme {
	return @"cn.taketours.unionpay";
}

#pragma mark - <PiwikConfig>

+ (NSString *)piwikSiteId {
	return [self is_cn_website] ? @"23" : @"21";
}

#pragma mark - <DebugConfig>

+ (BOOL)is_testing_server {
	return NO;
}

+ (BOOL)is_develop {
	return NO;
}

+ (BOOL)isJavaSearchLocalhost {
	return NO;
}

+ (BOOL)isJavaAppLocalhost {
	return NO;
}

+ (NSInteger)autoLoginUserId {
	return 0;
}

+ (BOOL)isPaypalSandbox {
	return YES;
}

+ (BOOL)isUnionpaySandbox {
	return YES;
}

@end
